Summary: Firmware Test Suite

Name:    fwts
Version: 17.08.00
Release: 1%{?dist}
# Asked upstream for inclusion of full license texts:
# https://bugs.launchpad.net/bugs/1712604
License: GPLv2 and LGPLv2
URL: https://wiki.ubuntu.com/FirmwareTestSuite
Source0: http://fwts.ubuntu.com/release/fwts-V%{version}.tar.gz
# Upstream refuses to remove -Werror: https://bugs.launchpad.net/bugs/1687052
Patch0: 0001-Remove-Werror-from-build.patch
BuildRequires: acpica-tools glib-devel glib2-devel glib json-c-devel libtool automake autoconf dkms kernel-devel git bison flex
# The tests in this package only make sense on the below architectures.
ExclusiveArch: %{ix86} x86_64 %{arm} aarch64 s390x %{power64}

%description
Firmware Test Suite (FWTS) is a test suite that performs sanity checks on
Intel/AMD PC firmware. It is intended to identify BIOS and ACPI errors and if
appropriate it will try to explain the errors and give advice to help
workaround or fix firmware bugs. It is primarily intended to be a Linux-specific
firmware troubleshooting tool.

%prep
%setup -a 0 -c
%patch0 -p1

%build
autoreconf -ivf
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%{_bindir}/*
%{_datadir}/fwts*
%{_libdir}/*
%exclude %{_libdir}/fwts/*.so
%exclude %{_libdir}/fwts/*.la
%exclude %{_libdir}/fwts/*.a
%{_mandir}/*/*
%doc README
%doc README_ACPICA.txt
# README_SOURCE.txt is not useful in the binary package

%changelog
* Mon Aug 21 2017 Benjamin Berg <bberg@redhat.com> - 17.08.00-1
- Initial package version for 17.08.00.

